curl --request POST \
--url https://plugin-pix-direct.api.lerian.net/v1/account-closures \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account": "<string>",
"accountId": "<string>",
"accountType": 123,
"branch": "<string>"
}
'import requests
url = "https://plugin-pix-direct.api.lerian.net/v1/account-closures"
payload = {
"account": "<string>",
"accountId": "<string>",
"accountType": 123,
"branch": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account: '<string>',
accountId: '<string>',
accountType: 123,
branch: '<string>'
})
};
fetch('https://plugin-pix-direct.api.lerian.net/v1/account-closures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deletedKeys": [
{
"key": "<string>",
"reason": 123,
"result": 123,
"document": "<string>",
"name": "<string>",
"resultDescription": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Registrar un cierre de cuenta transaccional
Registra el cierre de una cuenta transaccional, haciendo que el DICT elimine en lote todas las claves Pix vinculadas a esa cuenta. Devuelve los resultados de eliminación por clave.
Autorizaciones
Autenticación con token JWT Bearer. Obtén el token desde el endpoint /v1/login/oauth/access_token
usando credenciales de cliente (clientId y clientSecret).
Incluye el token en el encabezado Authorization:
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
El token expira después de 3600 segundos (1 hora).
Cuerpo
El número de la cuenta que se está cerrando.
El id de cuenta del CRM de quien llama (resuelve el ISPB del lado del servidor).
El tipo de cuenta (0=Checking,1=Salary,2=Savings,3=Payment,4=PI).
El número de agencia de la cuenta que se está cerrando.
Respuesta
OK
Los resultados de eliminación por clave.
Show child attributes
Show child attributes
¿Esta página le ayudó?

